<bugID>303737<Summary>Feedview: The date is incorrect</Summary><Description>The shown date is incorrect in some case because the day part is done in UTC but
the hours and minutes are done using local time

I found this bug because a post had this GMT string:

Wed, 13 Jul 2005 23:25:20 +0000

parsing this using js Date gives:

Thu Jul 14 2005 01:25:20 GMT+0200

so the Feedview displays:

Wed, 13 Jul @ 01:25


I guess this bug will be marked as invalid because the date time needs to be
localized anyway. But until the date time is is localized this is indeed a valid
bug.</Description></bugID>